# Default values for sylva-capi-cluster kubeadm-capd Sylva cluster.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

name: workload-cluster

capi_providers:
  infra_provider: capd # capd, capo, capm3 or capv
  bootstrap_provider: cabpk # cabpr (RKE2) or cabpk (kubeadm)

# kubernetes version to be used
k8s_version: v1.24.12 # add "+rke2r1" for cabpr (RKE2) clusters

# Nodes number for controlplane and workers
control_plane_replicas: 1

cluster_virtual_ip: 172.27.0.100 # use the .100 (or any other that wouldn't be assigned by Docker) IP from the local kind subnet, returned by: docker network inspect -f '{{json .}}' kind | jq -r .IPAM.Config[0].Subnet

machine_deployment_default:
  node_class: test_capd_kubeadm

default_node_class: test_capd_kubeadm
node_classes:
  test_capd_kubeadm:
    non_hugepages_minimum_memory_gb: 2
    kernel_cmdline:
      hugepages:
        enabled: true
        hugepagesz_2M: 1024
        hugepagesz_1G: 32
        default_size: 1G
      extra_options: ""
    kubelet_extra_args:
      topology-manager-policy: none
      topology-manager-scope: container
    # kubelet_config_file_options: {}
    kubelet_config_file_options:
      kubeReserved:
        cpu: "200m"
        memory: "500Mi"
      systemReserved:
        cpu: "200m"
        memory: "500Mi"
    nodeTaints: {}
    nodeLabels:
      sylva.org/annotate-node-label-sriov: true
    nodeAnnotations: {}
    additional_commands:
      pre_bootstrap_commands:
        - echo 'pre' > /pre
      post_bootstrap_commands:
        - echo 'post' > /post
